<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE xsl:stylesheet
[
  <!ENTITY resultns "http://www.CraneSoftwrights.com/ns/result">
  <!ENTITY resultattrns "http://www.CraneSoftwrights.com/ns/result/attr">
  <!ENTITY resultattrpns "http://www.CraneSoftwrights.com/ns/result/attrp">
]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:x="&resultns;"
                xmlns:xa="&resultattrns;"
                xmlns:xap="&resultattrpns;"
                exclude-result-prefixes="x xa xap"
                version="1.0">

<!--strip unneeded elements and attributes-->
<xsl:template match="@x:*|x:*|@xa:*|xa:*|@xap:*|xap:*"/>

<!--preserve leaves-->
<xsl:template match="@*|text()|comment()|processing-instruction()">
  <xsl:copy/>
</xsl:template>

<!--preserve elements ignoring unneeded attached namespaces-->
<xsl:template match="*">
  <xsl:element name="{name(.)}" namespace="{namespace-uri(.)}">
    <xsl:apply-templates select="@*"/>
    <xsl:apply-templates select="node()"/>
  </xsl:element>
</xsl:template>

</xsl:stylesheet>
