<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:out="urn:ss-URI:out" 
  xmlns:in="urn:ss-URI:in" 
  exclude-result-prefixes="out in"
  version="1.0">

<xsl:import href="test-frag.xsl"/>

<!--set the context for the entire list to be "/tests"-->

<xsl:template name="out:list">
  <xsl:apply-templates select="/tests"/>
</xsl:template>
<xsl:template match="/tests">
  <xsl:call-template name="in:list"/>
</xsl:template>

<!--process each of the tests in the given set-->

<xsl:template name="out:item">
  <xsl:apply-templates select="test"/>
</xsl:template>
<xsl:template match="test">
  <xsl:call-template name="in:item"/>
</xsl:template>

<!--process the contents of a test-->
<xsl:template name="out:item-content">
  <xsl:apply-templates/>
</xsl:template>

</xsl:stylesheet>